%define	oname	Pmw
%define	name	python-pmw
%define	version	2.0.0
%define	release	%mkrel 0.3


Summary:	Python toolkit for building compound Tkinter widgets
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Development/Python
Url:		http://www.dscpl.com.au/pmw
Source0:	http://downloads.sourceforge.net/pmw/Pmw_2_0_0-rc1.tar.gz
Requires:	blt tkinter python
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}
Buildarch:	noarch
BuildRequires:	python-devel

%description
Pmw is a toolkit for building high-level compound widgets in Python 
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows. 

%prep
%setup -q -n Pmw2
sed -i -e "s!end=' '!!" Pmw/Pmw_2_0_0/demos/DemoVersion.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{oname}
%{python_sitelib}/*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.3.mga4
+ Revision: 544069
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-0.2.mga4
+ Revision: 499122
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 joequant <joequant> 2.0.0-0.1.mga4
+ Revision: 491311
- update source
- upgrade to 2.0.0rc1

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-7.mga3
+ Revision: 379280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 19 2011 ennael <ennael> 1.3.2-6.mga1
+ Revision: 74517
- clean spec file
- imported package python-pmw


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.3.2-6mdv2010.0
+ Revision: 442392
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.2-5mdv2009.1
+ Revision: 319601
- rebuild with python 2.6

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-4mdv2009.0
+ Revision: 259743
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-3mdv2009.0
+ Revision: 247590
- rebuild
- fix no-buildroot-tag

* Thu Nov 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 108959
- import python-pmw


